using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Nodify.Calculator
{
    internal static class ColorToSolidBrushConverter
    {
        public static Brush Convert(Color value)
        {
            var brush = new SolidColorBrush(value);
            return brush;
        }

        public static Color ConvertBack(Brush value)
        {
            if (value is SolidColorBrush brush)
                return brush.Color;

            return default;
        }
    }
}
